/* 
 * File:   SDCardMgr.h
 * Author: JF
 *
 * Created on May 18, 2017, 8:20 PM
 */

#ifndef SDCARDMGR_H
#define	SDCARDMGR_H

#include "FileSystem/fileio_lfn.h"

enum eSDCardStates
{
    SD_CARD_INIT_STATE,
    SD_CARD_MOUNT_DRIVE_STATE,
    SD_CARD_READY_STATE,
    SD_CARD_ERROR_MOUNTING_STATE
};


void FILEIO_GetTimestamp(FILEIO_TIMESTAMP * timeStamp);
//void FILEIO_SETUP_HW();

int InitSDCard();
int MountDrive();
int IsDriveDetected();
int IsDriveMounted();
int TickSDCard();



//void FILEIO_


#endif	/* SDCARDMGR_H */

